TestServiceComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.tck.testmodels.services.TestServiceComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.testmodels.services
Class TestServiceComponent

    java.lang.Object
      org.mule.tck.functional.FunctionalTestComponent
          org.mule.tck.testmodels.services.TestServiceComponent

All Implemented Interfaces:
  EchoService, MuleContextAware, Callable, Disposable, EventListener, Initialisable, Receiveable, DateService, PeopleService

    public class TestServiceComponent

extends FunctionalTestComponent
implements EchoService, DateService, PeopleService, Disposable

`TestServiceComponent` is a test WebServices service.

Field Summary

Fields inherited from class org.mule.tck.functional.FunctionalTestComponent
`logger, STREAM_BUFFER_SIZE, STREAM_SAMPLE_SIZE`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`TestServiceComponent()`

Method Summary
`void` | `addPerson(Person person)`
`Person` | `addPerson(String firstname, String surname)`
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`String` | `echo(String echo)`
`String` | `getDate()`
`Person[]` | `getPeople()`
`Person` | `getPerson(String firstName)`

Methods inherited from class org.mule.tck.functional.FunctionalTestComponent
`append, getAppendString, getEventCallback, getExceptionToThrow, getLastReceivedMessage, getReceivedMessage, getReceivedMessagesCount, getReturnData, getWaitTime, initialise, isDoInboundTransform, isEnableMessageHistory, isEnableNotifications, isLogMessageDetails, isThrowException, onCall, onReceive, process, setAppendString, setDoInboundTransform, setEnableMessageHistory, setEnableNotifications, setEventCallback, setExceptionToThrow, setLogMessageDetails, setMuleContext, setReturnData, setThrowException, setWaitTime, throwException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestServiceComponent

    public TestServiceComponent()

Method Detail

### echo

    public String echo(String echo)

  Specified by:
    `echo` in interface `EchoService`

### getDate

    public String getDate()

  Specified by:
    `getDate` in interface `DateService`

### getPerson

    public Person getPerson(String firstName)

  Specified by:
    `getPerson` in interface `PeopleService`

### getPeople

    public Person[] getPeople()

  Specified by:
    `getPeople` in interface `PeopleService`

### addPerson

    public void addPerson(Person person)
                   throws Exception

  Specified by:
    `addPerson` in interface `PeopleService`
  Throws:
    `Exception`

### addPerson

    public Person addPerson(String firstname,
                            String surname)
                     throws Exception

  Specified by:
    `addPerson` in interface `PeopleService`
  Throws:
    `Exception`

### dispose

    public void dispose()

  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw RuntimeExceptions.

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `FunctionalTestComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.